summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-04-13 04:53:20 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-04-13 04:53:20 +0200
commit92623154c7b3edde7bf4812530e4db9de2779283 (patch)
tree4d9a5df1ec44939ce4731af80a56471643eaf815 /scripts
parent4090002fc466e4319c95ab214c3f92ecc7b59184 (diff)
parent933e74c07231e815bbfd9ed90073308eaf253a00 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Conflicts: package/mpfr/Makefile
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 36f861d67..2faa334b6 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -66,6 +66,7 @@ if [[ -n $ADK_PACKAGE_GPSD ]]; then
fi
if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
+ NEED_YASM="$NEED_YASM firefox"
NEED_LIBIDL="$NEED_LIBIDL firefox"
NEED_PYTHON="$NEED_PYTHON firefox"
fi
@@ -332,6 +333,13 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_YASM ]]; then
+ if ! which yasm >/dev/null 2>&1; then
+ echo >&2 You need yasm to build $NEED_YASM
+ out=1
+ fi
+fi
+
if [[ -n $NEED_XSLTPROC ]]; then
if ! which xsltproc >/dev/null 2>&1; then
echo >&2 You need xsltproc to build $NEED_XSLTPROC